Bug 1064117 (CVE-2017-10384)

Summary: VUL-0: CVE-2017-10384: mariadb,mysql: issue inside subcomponent Server DDL
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, kstreitova
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: CVSSv2:SUSE:CVE-2016-5616:6.0:(AV:L/AC:H/Au:S/C:C/I:C/A:C) CVSSv2:SUSE:CVE-2017-10384:6.8:(AV:N/AC:L/Au:S/C:N/I:N/A:C) CVSSv3.1:SUSE:CVE-2016-5483:6.4:(AV:N/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H) CVSSv3:SUSE:CVE-2017-10384:6.5:(AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on:    
Bug Blocks: 1064119    

Description Alexander Bergmann 2017-10-18 14:11:50 UTC
Oracle July 2016 Patch Day.
http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixMSQL
http://www.oracle.com/technetwork/security-advisory/cpuoct2017verbose-3236627.html#MSQL

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: DDL).  Supported versions that are affected are 5.5.57 and earlier 5.6.37 and earlier 5.7.19 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server.  Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

CVSS v3.0 Base Score 6.5 (Availability impacts).  CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H).
Comment 2 Bernhard Wiedemann 2017-10-19 18:04:55 UTC
This is an autogenerated message for OBS integration:
This bug (1064117) was mentioned in
https://build.opensuse.org/request/show/535287 42.2+42.3 / mysql-community-server
Comment 3 Kristyna Streitova 2017-10-19 18:12:05 UTC
openSUSE:Factory is not affected as we don't have mysql-community-server there anymore

Everything is finished here, I'm reassigning it back to the security team.
Comment 4 Swamp Workflow Management 2017-10-27 16:30:31 UTC
openSUSE-SU-2017:2868-1: An update that solves 13 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1039034,1064096,1064100,1064101,1064102,1064104,1064105,1064107,1064108,1064112,1064115,1064116,1064117,1064118,1064119
CVE References: CVE-2017-10155,CVE-2017-10227,CVE-2017-10268,CVE-2017-10276,CVE-2017-10279,CVE-2017-10283,CVE-2017-10286,CVE-2017-10294,CVE-2017-10314,CVE-2017-10378,CVE-2017-10379,CVE-2017-10384,CVE-2017-3731
Sources used:
openSUSE Leap 42.3 (src):    mysql-community-server-5.6.38-30.1
openSUSE Leap 42.2 (src):    mysql-community-server-5.6.38-24.12.1
Comment 5 Swamp Workflow Management 2017-11-10 23:07:58 UTC
SUSE-SU-2017:2996-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1064101,1064115,1064116,1064117,1064119
CVE References: CVE-2017-10268,CVE-2017-10378,CVE-2017-10379,CVE-2017-10384
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    mysql-5.5.58-0.39.6.1
SUSE Linux Enterprise Server 11-SP4 (src):    mysql-5.5.58-0.39.6.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    mysql-5.5.58-0.39.6.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    mysql-5.5.58-0.39.6.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    mysql-5.5.58-0.39.6.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    mysql-5.5.58-0.39.6.1
Comment 6 Marcus Meissner 2018-02-21 06:36:37 UTC
released